
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SQL SERVER日志清除的两种方法 / iVAN</title>

    <meta name="description" content="SQL SERVER日志清除的两种方法 server SQL SERVER日志清除的两种方法方法一 一般情况下,SQL数据库的收缩并不能很大程度上减小数据库大小,其主要作用是收缩日志大小,应当定期进行此操作以免数据库日志过大1.设置数据库模式为简单模式:打开SQL企业管理器,在控制台根目录中依次点开Microsoft SQL Server--&gt;SQL Server组--&gt;双击打开你的服务器--&gt;双击打开数据库目录--&gt;选择你的数据库名称(如论坛数据库Forum)--&gt;然后点击右键选择属性--&gt;选择选 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SQL SERVER日志清除的两种方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>server</p>
<p>SQL SERVER日志清除的两种方法<br />方法一</p>
<p>一般情况下，SQL数据库的收缩并不能很大程度上减小数据库大小，其主要作用是收缩日志大小，应当定期进行此操作以免数据库日志过大<br />1、设置数据库模式为简单模式：打开SQL企业管理器，在控制台根目录中依次点开Microsoft SQL Server--&gt;SQL Server组--&gt;双击打开你的服务器--&gt;双击打开数据库目录--&gt;选择你的数据库名称（如论坛数据库Forum）--&gt;然后点击右键选择属性--&gt;选择选项--&gt;在故障还原的模式中选择“简单”，然后按确定保存<br />2、在当前数据库上点右键，看所有任务中的收缩数据库，一般里面的默认设置不用调整，直接点确定<br />3、收缩数据库完成后，建议将您的数据库属性重新设置为标准模式，操作方法同第一点，因为日志在一些异常情况下往往是恢复数据库的重要依据</p>
<p>方法二</p>
<p>SET NOCOUNT ON<br />DECLARE @LogicalFileName sysname,<br />        @MaxMinutes INT,<br />        @NewSize INT</p>
<p>USE     tablename             -- 要操作的数据库名<br />SELECT  @LogicalFileName = 'tablename_log',  -- 日志文件名<br />@MaxMinutes = 10,               -- Limit on time allowed to wrap log.<br />        @NewSize = 1                  -- 你想设定的日志文件的大小(M)</p>
<p>-- Setup / initialize<br />DECLARE @OriginalSize int<br />SELECT @OriginalSize = size <br />  FROM sysfiles<br />  WHERE name = @LogicalFileName<br />SELECT 'Original Size of ' + db_name() + ' LOG is ' + <br />        CONVERT(VARCHAR(30),@OriginalSize) + ' 8K pages or ' + <br />        CONVERT(VARCHAR(30),(@OriginalSize*8/1024)) + 'MB'<br />  FROM sysfiles<br />  WHERE name = @LogicalFileName<br />CREATE TABLE DummyTrans<br />  (DummyColumn char (8000) not null)</p>
<p>DECLARE @Counter   INT,<br />        @StartTime DATETIME,<br />        @TruncLog  VARCHAR(255)<br />SELECT  @StartTime = GETDATE(),<br />        @TruncLog = 'BACKUP LOG ' + db_name() + ' WITH TRUNCATE_ONLY'</p>
<p>DBCC SHRINKFILE (@LogicalFileName, @NewSize)<br />EXEC (@TruncLog)<br />-- Wrap the log if necessary.<br />WHILE     @MaxMinutes &gt; DATEDIFF (mi, @StartTime, GETDATE()) -- time has not expired<br />      AND @OriginalSize = (SELECT size FROM sysfiles WHERE name = @LogicalFileName)  <br />      AND (@OriginalSize * 8 /1024) &gt; @NewSize  <br />  BEGIN -- Outer loop.<br />    SELECT @Counter = 0<br />    WHILE  ((@Counter &lt; @OriginalSize / 16) AND (@Counter &lt; 50000))<br />      BEGIN -- update<br />        INSERT DummyTrans VALUES ('Fill Log')  <br />        DELETE DummyTrans<br />        SELECT @Counter = @Counter + 1<br />      END   <br />    EXEC (@TruncLog)  <br />  END   <br />SELECT 'Final Size of ' + db_name() + ' LOG is ' +<br />        CONVERT(VARCHAR(30),size) + ' 8K pages or ' + <br />        CONVERT(VARCHAR(30),(size*8/1024)) + 'MB'<br />  FROM sysfiles <br />  WHERE name = @LogicalFileName<br />DROP TABLE DummyTrans<br />SET NOCOUNT OFF</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-02 02:30:43</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e6%94%b6%e7%bc%a9/" title="收缩">收缩</a>, <a href="https://www.iamivan.net/tag/%e6%97%a5%e5%bf%97/" title="日志">日志</a>, <a href="https://www.iamivan.net/tag/select/" title="select">select</a>, <a href="https://www.iamivan.net/tag/varchar/" title="varchar">varchar</a>, <a href="https://www.iamivan.net/tag/counter/" title="counter">counter</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SQL SERVER日志清除的两种方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz70lXb.html" rel="bookmark">分析MS SQL Server里函数的两种用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|函数 SQL Server里函数的两种用法(可以代替游标) 1. 因为update里不能用存储过程,然而要根据更新表的某些字段还要进行计算.我们常常采用游标的方法,这里用函数的方法实现. 函数部分: 以下是引用片段: CREATE FUNCTION [DBO].[FUN_GETTIME] (@TASKPHASEID INT) RETURNS FLOAT AS BEGIN DECLARE @TASKID INT, @HOUR FLOAT, @PERCENT FLOAT, @RETUR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNDZyz.html" rel="bookmark">SQL Server里函数的两种用法（可以代替游标）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|函数|游标 SQL Server里函数的两种用法(可以代替游标)1． 因为update里不能用存储过程,然而要根据更新表的某些字段还要进行计算.我们常常采用游标的方法,这里用函数的方法实现. 函数部分:CREATE FUNCTION [DBO].[FUN_GETTIME] (@TASKPHASEID INT) RETURNS FLOAT AS BEGIN   DECLARE @TASKID INT,          @HOUR FLOAT,           @PERCENT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1R1Xrp.html" rel="bookmark">SQL Server里函数的两种用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL Server里函数的两种用法(可以代替游标) 1. 因为update里不能用存储过程,然而要根据更新表的某些字段还要进行计算.我们常常采用游标的方法,这里用函数的方法实现. 函数部分: 以下是引用片段: CREATE FUNCTION [DBO].[FUN_GETTIME] (@TASKPHASEID INT) RETURNS FLOAT AS BEGIN DECLARE @TASKID INT, @HOUR FLOAT, @PERCENT FLOAT, @RETURN FLOAT IF			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRN5lkM.html" rel="bookmark">SQL Server 优化存储过程的七种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:SQL Server 优化存储过程的七种方法 优化存储过程有很多种方法,下面介绍最常用的7种. 1.使用SET NOCOUNT ON选项 我们使用SELECT语句时,除了返回对应的结果集外,还会返回相应的影响行数.使用SET NOCOUNT ON后,除了数据集就不会返回额外的信息了,减小网络流量. 2.使用确定的Schema 在使用表,存储过程,函数等等时,最好加上确定的Schema.这样可以使SQL Server直接找到对应目标,避免去计划缓存中搜索.而且搜索会导致编译锁定,最终影响性能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1kNJdz.html" rel="bookmark">配置SQL Server数据库恢复模式&lpar;2种方法&rpar;&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面主要介绍配置SQL Server数据库恢复模式的两种方法. 用T-SQL设置恢复模式你可以使用&quot;ALTER DATABASE&quot;命令加&quot;SET RECOVERY&quot;语句来修改数据库的恢复模式.例如,下面的查询语句把&quot;AdventureWorks&quot;数据库的恢复模式设置为完全恢复模式. ALTER DATABASE AdventureWorks SET RECOVERY FULL ; 你可以查询&quot;sys.databases&quot;的目录			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx7yamb.html" rel="bookmark">配置SQL Server数据库恢复模式&lpar;2种方法&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面主要介绍配置SQL Server数据库恢复模式的两种方法. 用T-SQL设置恢复模式 你可以使用&quot;ALTER DATABASE&quot;命令加&quot;SET RECOVERY&quot;语句来修改数据库的恢复模式.例如,下面的查询语句把&quot;AdventureWorks&quot;数据库的恢复模式设置为完全恢复模式. ALTER DATABASE AdventureWorks SET RECOVERY FULL ; 你可以查询&quot;sys.databases&quot;的目			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnQPjM.html" rel="bookmark">SQL Server中单引号的两种处理技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|技巧 和数据库打交道要频繁地用到SQL语句,除非你是全部用控件绑定的方式,但采用控件绑定的方式存在着灵活性差.效率低.功能弱等等缺点.因此,大多数的程序员极少或较少用这种绑定的方式.而采用非绑定方式时许多程序员大都忽略了对单引号的特殊处理,一旦SQL语句的查询条件的变量有单引号出现,数据库引擎就会报错指出SQL语法不对,本人发现有两种方法可以解决和处理这种单引号的问题(以VB为例子). ---- 方法一:利用转义字符处理SQL语句.下面的函数可以在执行SQL语句前调用,执行处理后的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3GD7b.html" rel="bookmark">Ms SQL Server 中单引号的两种处理技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|技巧 ---- 和数据库打交道要频繁地用到SQL语句,除非你是全部用控件绑定的方式,但采用控件绑定的方式存在着灵活性差.效率低.功能弱等等缺点.因此,大多数的程序员极少或较少用这种绑定的方式.而采用非绑定方式时许多程序员大都忽略了对单引号的特殊处理,一旦SQL语句的查询条件的变量有单引号出现,数据库引擎就会报错指出SQL语法不对,本人发现有两种方法可以解决和处理这种单引号的问题(以VB为例子). ---- 方法一:利用转义字符处理SQL语句.下面的函数可以在执行SQL语句前调用,执			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOkEOb.html" rel="bookmark">SQL Server日志文件丢失的恢复方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.概述 在应用系统中,数据库往往是最核心的部分,一旦数据库毁坏或损坏,将会带来巨大的损失,所以数据库的管理越来越重要.我们在做数据库管理与维护工作中,不可避免会出现各种各样的错误,本文针对数据库的日志文件丢失时如何利用MDF文件恢复数据库的方法进行了研究. 二.数据库的恢复 当数据库的主数据MDF文件完好无损时,在丢失了LDF文件的情况下,如何利用MDF文件恢复数据库?我们把SQL Server的日志文件分为两类:一类是无活动事务的日志,另一类是含活动事务的日志,根据不同的日志,采取不同的方法			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ73vb.html" rel="bookmark" class="title">搭建Cocos2d-JS开发环境</a>
					<div>
						使用Cocos2d-JS引擎开发游戏,主要的程序代码是JavaScript语言,因此,凡是能够开发JavaScript语言工具都适用于Cocos2d-JS游戏开发.本书我们推荐WebStorm和Coc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK07WM.html" rel="bookmark" class="title">azure-Azure Blob Storage，挂载给VM的vhd&period;</a>
					<div>
						问题描述 Azure Blob Storage,挂载给VM的vhd. Azure Blob Storage,挂载给VM的vhd. 假如在VM对磁盘做的不是快速格式化.会&quot;影响&quot;计费 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4LB8z.html" rel="bookmark" class="title">走向J2EE，漫长的道路</a>
					<div>
						j2ee 初次涉及Java领域,感觉到Java入门是好像没有C,C++入门快,工具也没有什么Turbo C,Visual C++好用(自己的破机器实在陪不起JBuilder,贪婪的家伙,以后一定要收拾 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg5J5z.html" rel="bookmark" class="title">MYSQL4&period;1版本的问题</a>
					<div>
						mysql|问题 好久没有升级我的MYSQL乐 没想到刚升级就出错 然后上网查了查 原来是这样子的 MySQL 4.1 and up uses an authentication protocol b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY6B6p.html" rel="bookmark" class="title">谷歌中文博客：关于提升CPC的正确及错误做法</a>
					<div>
						在之前的博文中,我们解释了什么是&quot;每千次展示收入&quot;,以及它如何受用户在您网站上的活动的影响.今天,我们希望将这一话题再向前深入一步,讨论一下有助于提升您的广告单元的CPC的一些策略 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMykG4z.html" rel="bookmark" class="title">360搜索业务出招&OpenCurlyDoubleQuote;禁止跟踪&rdquo;断百度财路</a>
					<div>
						&quot;我干的都是断别人财路的事.&quot;周鸿祎如是称. 语出当日,奇虎360公司(NYSE:QIHU)宣布,对旗下拥有月活跃3亿用户的360安全浏览器推出了&quot;禁止跟踪&quot;( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEo4np.html" rel="bookmark" class="title">JTable中如何控制某一列、某一单元格允许或不允许被编辑</a>
					<div>
						网上有很多关于怎样实现JTable不能被编辑的文章,因为如果不设置的话,双击单元格就会将单元格的内容读入一个默认的编辑器里,很多时候我们并不希望这样的事情发生,所以必须do something来阻止它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLARGb.html" rel="bookmark" class="title">Informix数据库锁技术</a>
					<div>
						INFORMIX使用锁技术解决在多用户访问数据库情况下,对同一对象访问的并发控制问题.INFORMIX 支持复杂的.可伸缩性的锁技术. 锁的类型 INFORMIX有三种不同类型的锁.它们在不同的情况下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx87Zb.html" rel="bookmark" class="title">如何在esx server VI里导入其它虚拟机</a>
					<div>
						如果重新安装了esx server,或者需要迁移其它地方的虚拟机到另一个ESX SERVER上,往往需要做的步骤是: 1.导入vmfs storage 2.导入虚拟机配置文件 导入vmfs stora ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NVq7z.html" rel="bookmark" class="title">ORACLE 10053事件详解</a>
					<div>
						本次我们主要讲解oracle 10053事件和实验,好多朋友可能对这个事件不是很熟悉,因为在日常运维中用到的不是很多.Oracle 10046和10053都是非官方trace sql的方法,在官方文档 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Pgd0M.html" rel="bookmark" class="title">运用反射实现ejb动态委派</a>
					<div>
						每个bean可能会有很多方法,一般我们通过一个delegate来调用sessionbean中的方法,而非直接调用sessionbean,delegate中只是简单的对每个相对应的sessionbean ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62X7WM.html" rel="bookmark" class="title">傲游Maxthon3&period;0正式版完全体验</a>
					<div>
						  望穿秋水--用这四个字来形容傲游Fans对傲游3.0正式版的期盼恰如其分.日前,傲游终于发布了傲游3.0正式版.&quot;用上十分钟,你就会爱上她&quot;,傲游的开发者对此信心满满.下面就让 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOak2xM.html" rel="bookmark" class="title">深入理解JS中的变量及作用域、undefined与null</a>
					<div>
						 本篇文章主要是对JS中的变量及作用域.undefined与null进行了详细的介绍,需要的朋友可以过来参考下,希望对大家有所帮助 Situation One   代码如下: &lt;script&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaJ4az.html" rel="bookmark" class="title">win8系统下录音机录音文件默认存储位置介绍</a>
					<div>
						  之前小编为大家带来了一篇&lt;win8系统如何查找并使用录音机的方法&gt;,不过有些用户在使用win8录音机后,不知道如何查看录音机所保存的录音文件,故此小编这里为大家又带来了查找录音机录音文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6jLmb.html" rel="bookmark" class="title">Windows7破音爆音有杂音怎么办？</a>
					<div>
						  首先得将系统相关驱动升级到最新的最稳定版,不仅仅指声卡驱动. 如果还存在破音问题可以按下操作试一下,具体请多测试一下,该方法不保证对所有用户有效,但大部分的都应该有效.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOagq3M.html" rel="bookmark" class="title">禁止桌面存放文件的方法</a>
					<div>
						公司的电脑由于用的人很多,而大家又习惯把文件拖到桌面上,弄得桌面乱糟糟的,整理起来也十分吃力,给大家使用电脑带来很多不便. 这里我们要用到注册表,开始菜单---运行,输入regedit回车打开注册表编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKWxkM.html" rel="bookmark" class="title">主板问题导致PE系统蓝屏如何修复</a>
					<div>
						  进系统蓝屏死机,重装系统也是此现象,进PE也会电脑蓝屏,进PE都蓝屏的话,我们往往确实会是内存或者显卡的问题,但是更换内存和显卡后,进PE系统还是蓝屏.如果是主板的问题往往这类问题比较难查,因为往 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72V7qp.html" rel="bookmark" class="title">Java异常分类</a>
					<div>
						一.基本概念 看java的异常结构图   Throwable是所有异常的根,java.lang.Throwable Error是错误,java.lang.Error Exception是异常,java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWKdVp.html" rel="bookmark" class="title">JS获取随机数函数可自定义最小值最大值&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: /** * lowerValue 最小值 * upperValue 最大值 */ function selectFrom(lowerValue, upperValue){ //取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlQYkb.html" rel="bookmark" class="title">【JSP开发】GET与POST提交区别</a>
					<div>
						在网络传递信息中,有两种向Web应用传递参数的方式 (1)通过Get方式提交参数给Web应用 (2)通过Post方式提交参数给Web应用 区别:当你通过Http协议提交到网络上的Web应用数据小于2K ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGErnlM.html" rel="bookmark" class="title">mfc-MFC 应用开发中Combox显示下拉框的内容，怎样才能列表中的字段发生变化，而当前选中的也发生变化</a>
					<div>
						问题描述 MFC 应用开发中Combox显示下拉框的内容,怎样才能列表中的字段发生变化,而当前选中的也发生变化 MFC 应用开发中Combox显示下拉框的内容,怎样才能列表中的字段发生变化,而当前选中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKYlVb.html" rel="bookmark" class="title">重庆软件专业大学生有了实战演练基地</a>
					<div>
						本报讯 (记者 周旭)教育部软件工程专业大学生实习实训基地暨中软国际卓越培训中心,昨日落户我市西永微电园.据悉,该基地3年内可以接待5000人次的软件类专业大学生进行软件工程实习实训. 大学生将以怎样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7ygRM.html" rel="bookmark" class="title">月入5000，你有什么资格谈生活</a>
					<div>
						我属于小富即安的一类人,没有什么远大理想和宏伟目标,做着一份稳定的工作,拿着比较固定的薪水,生活摆脱了温饱阶段,却也没有奔赴小康.有一些不大的小愿望,过着不咸不淡的日子. 我最理想的生活状态是,一天工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKq2Yb.html" rel="bookmark" class="title">嫌弃农村女做媳妇 杭州母子遭嘉宾炮轰</a>
					<div>
						沈勇(右)妈妈颇有LADY GAGA的范儿.视频:嫌弃农村女做媳妇 杭州母子遭嘉宾炮轰 嘴里骂着,眼睛看着.这是时下观众对电视相亲节目的普遍心态.上周日晚的&lt;非诚勿扰&gt;又一次满足了观众的这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwZ0EM.html" rel="bookmark" class="title">Cordova WP8 插件开发</a>
					<div>
						原文:Cordova WP8 插件开发 前面博客中介绍了Cordova WP8平台上的安装部署,Cordova扩展可以利用WP8本地代码扩展WebApp的功能,调用本地能力需要开发相应的插件,下面以闪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn648M.html" rel="bookmark" class="title">什么是AOP</a>
					<div>
						AOP(Aspect-OrientedProgramming,面向方面编程),可以说是OOP(Object-Oriented Programing,面向对象编程)的补充和完善.OOP引入封装.继承和多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR9ajp.html" rel="bookmark" class="title">微软当月进行了多个捆绑游戏软件的促销活动</a>
					<div>
						9月微软Xbox One月销量罕见超过索尼PS4腾讯科技讯 在视频游戏机市场,微软的Xbox One和索尼的Playstation4(以下称为PS4)之间,存在一对一的较量,微软长期处于落后的地位.不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwe9EM.html" rel="bookmark" class="title">使用 Strace 和 GDB 调试工具的乐趣</a>
					<div>
						编写 UNIX 系统程序充满乐趣,并且具有教育意义.使用 UNIX strace 工具和 GDB(GNU 项目调试工具),您可以真正地深入研究系统的功能,并了解组成这些功能的各种各样的程序.同时使用这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YLW9z.html" rel="bookmark" class="title">hdu 1213 并查集</a>
					<div>
						http://acm.hdu.edu.cn/showproblem.php?pid=1213 #include&lt;iostream&gt; #include&lt;cstdio&gt; using ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWydPz.html" rel="bookmark" class="title">android 日期与时间选择控件用法</a>
					<div>
						timepicker也继承自framelayout类.时间选择控件向用户显示一天中的时间(可以为24小时,也可以为am/pm制),并允许用户进行选择.如果要捕获用户修改时间数据的事件,便需要为time ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
